Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QAccessiblePlugin Class Reference

The QAccessiblePlugin class provides an abstract base for accessibility plugins. More...

    #include <QAccessiblePlugin>

Inherits QObject and QAccessible.

- List of all members, including inherited members

### Writable Properties

- 1 writable property inherited from QObject

### Public Functions

- QAccessiblePlugin ( QObject * parent = 0 )
- ~QAccessiblePlugin ()
- virtual QAccessibleInterface * create ( const QString & key, QObject * object ) = 0
- virtual QStringList keys () const = 0

- 24 public functions inherited from QObject

### Public Slots

- 1 public slot inherited from QObject

### Signals

- 1 signal inherited from QObject

### Static Public Members

- 4 static public members inherited from QObject
- 8 static public members inherited from QAccessible

### Protected Functions

- 9 protected functions inherited from QObject

## Detailed Description

The QAccessiblePlugin class provides an abstract base for accessibility plugins.

## Member Function Documentation

### QAccessiblePlugin::QAccessiblePlugin ( QObject * parent = 0 )

Constructs an accessibility plugin with the given parent. This is invoked automatically by the `Q_EXPORT_PLUGIN` macro.

### QAccessiblePlugin::~QAccessiblePlugin ()

Destroys the widget plugin.

You never have to call this explicitly. Qt destroys a plugin automatically when it is no longer used.

### QAccessibleInterface * QAccessiblePlugin::create ( const QString & key, QObject * object ) `[pure virtual]`

Creates and returns a QAccessibleInterface implementation for the class key and the object object.

Reimplemented from QAccessibleFactoryInterface.

See also keys().

### QStringList QAccessiblePlugin::keys () const `[pure virtual]`

Returns the list of keys this plugin supports.

These keys must be the class names that this plugin provides an accessibility implementation for.

Reimplemented from QFactoryInterface.

See also create().